ChangeSet 1.1242, 2003/06/18 16:54:21-07:00, Richard.Curnow@superh.com

[PATCH] USB: ehci-hcd.c needs to include <linux/bitops.h>

When I try to configure in EHCI support without this patch, I get
generic_ffs undefined at link time.  (This is with 2.4.21-rc2 on our
sh64 (SH-5) port).  Perhaps there are other ways to achieve this, but
this worked for me.


 drivers/usb/host/ehci-hcd.c |    1 +
 1 files changed, 1 insertion(+)


diff -Nru a/drivers/usb/host/ehci-hcd.c b/drivers/usb/host/ehci-hcd.c
--- a/drivers/usb/host/ehci-hcd.c	Wed Jun 18 17:35:21 2003
+++ b/drivers/usb/host/ehci-hcd.c	Wed Jun 18 17:35:21 2003
@@ -31,6 +31,7 @@
 #include <linux/list.h>
 #include <linux/interrupt.h>
 #include <linux/reboot.h>
+#include <linux/bitops.h> /* for generic_ffs */
 
 #ifdef CONFIG_USB_DEBUG
 	#define DEBUG
